Get all cost alerts
curl --request GET \
--url https://api.vantage.sh/v2/cost_alerts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/cost_alerts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/cost_alerts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"links": {
"self": "https://api.vantage.sh/v2/cost_alerts",
"first": "https://api.vantage.sh/v2/cost_alerts?page=1",
"next": null,
"last": "https://api.vantage.sh/v2/cost_alerts?page=1",
"prev": null
},
"cost_alerts": [
{
"token": "cstm_alrt_rl_945f63c6c91cd824",
"title": "Default Alert Rule",
"email_recipients": [],
"slack_channels": [],
"teams_channels": [],
"created_at": "2024-04-21T15:19:49.673Z",
"updated_at": "2025-04-21T15:19:49.673Z",
"workspace_token": "wrkspc_7d5a18b7d02942da",
"interval": "day",
"threshold": 1000,
"unit_type": "currency",
"report_tokens": [
"rprt_a88be0a2af07fe10"
]
}
]
}CostAlerts
Get all cost alerts
List all Cost Alerts
GET
/
cost_alerts
Get all cost alerts
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The page of results to return.
The amount of results to return. The maximum is 5000.
Search cost alerts by title.
The workspace token of the cost alerts to return.
⌘I